Repository: cordova-cli
Updated Branches:
  refs/heads/master 9c306a44e -> 576c8426c


CB-11913 - Re-fix appveyor.yml to use specific node versions

For node 6, because of 'npm install' after 'npm link' bugs (see 
https://github.com/npm/npm/issues/9633 and 
https://github.com/npm/npm/issues/10343), we downgrade to use npm@2

 This closes #263


Project: http://git-wip-us.apache.org/repos/asf/cordova-cli/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-cli/commit/576c8426
Tree: http://git-wip-us.apache.org/repos/asf/cordova-cli/tree/576c8426
Diff: http://git-wip-us.apache.org/repos/asf/cordova-cli/diff/576c8426

Branch: refs/heads/master
Commit: 576c8426cea027b018b4132207d508a1e1e79280
Parents: 9c306a4
Author: Shazron Abdullah <shaz...@apache.org>
Authored: Wed Oct 12 11:21:03 2016 -0700
Committer: Steve Gill <stevengil...@gmail.com>
Committed: Fri Oct 14 18:13:39 2016 -0700

----------------------------------------------------------------------
 .travis.yml  |  7 ++++++-
 appveyor.yml | 14 +++++++++++++-
 2 files changed, 19 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-cli/blob/576c8426/.travis.yml
----------------------------------------------------------------------
diff --git a/.travis.yml b/.travis.yml
index e2ec2b5..ac76e58 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -9,7 +9,8 @@ node_js:
   - "6"
   
 before_install:
-    - npm cache clean -f
+  - npm cache clean -f
+  - npm install -g npm@2
 
 # getting cordova tools dependencies from github
 # to make sure we're using their latest versions
@@ -28,3 +29,7 @@ install:
   - cd ../../cordova-cli
   - npm link cordova-lib
   - npm install
+  # # Workaround for npm/npm#10343
+  # - npm install
+  # - (cd ../cordova-js && npm install && npm link)
+  # - (cd ../cordova-lib/cordova-lib && npm install && npm link 
../../cordova-js)

http://git-wip-us.apache.org/repos/asf/cordova-cli/blob/576c8426/appveyor.yml
----------------------------------------------------------------------
diff --git a/appveyor.yml b/appveyor.yml
index 09c27fa..fc4408a 100644
--- a/appveyor.yml
+++ b/appveyor.yml
@@ -11,6 +11,9 @@ environment:
 # getting cordova tools dependencies from github
 # to make sure we're using their latest versions
 install:
+  - npm cache clean -f
+  - npm install -g npm@2
+  - ps: Install-Product node $env:nodejs_version
   - cd ..
   - git clone https://github.com/apache/cordova-js --depth 10
   - cd cordova-js
@@ -25,7 +28,16 @@ install:
   - cd ../../cordova-cli
   - npm link cordova-lib
   - npm install
-
+  # # Workaround for npm/npm#10343
+  # - npm install
+  # - cd ../cordova-js
+  # - npm install
+  # - npm link
+  # - cd ../cordova-lib/cordova-lib
+  # - npm install
+  # - npm link ../../cordova-js
+  # - cd ../../cordova-cli
+  
 build: off
 
 test_script:


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscr...@cordova.apache.org
For additional commands, e-mail: commits-h...@cordova.apache.org

Reply via email to